// Modified by Yen-Ju Chen <yjchenx@hotmail.com>
/* 
 * Command.h created by probert on 2001-12-29 17:36:44 +0000
 *
 * Project GSCommander
 *
 * Created with ProjectCenter - http://www.gnustep.org
 *
 * $Id: Command.h,v 1.1 2003/03/28 16:04:27 yjchen Exp $
 */

#ifndef _Toolbox_Commander_H_Command
#define _Toolbox_Commander_H_Command

#include <AppKit/AppKit.h>

@interface Command : NSObject
{
    NSString *command;
    NSTask *task;
    NSMutableArray *args;
    NSPipe *pipe;
    NSFileHandle *fileHandle;
    NSTextView *output;
}

- (id)initWithCommand:(NSString *)comm args:(NSArray *)arguments;
- (void)dealloc;

- (void)setTextView:(NSTextView *)view;
- (NSTask *) task;

- (void) executeCommand;
- (void) stop;
- (void) taskEnded: (NSNotification *) not;
- (void) readData :(NSNotification *) not;

@end

#endif /* Toolbox_Commander_H_Command */

