/*
**  ItemPanel.h
**
**  Copyright (c) 2003
**
**  Author: Yen-Ju Chen <yjchenx@hotmail.com>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _Toolbox_H_ItemPanel
#define _Toolbox_H_ItemPanel

#include <AppKit/NSPanel.h>

@class NSTextField;
@class NSPopUpButton;
@class NSButton;

@interface ItemPanel: NSPanel
{
  NSTextField *nameField, *locationField;
  NSPopUpButton *categoryButton, *bundleButton;
  NSButton *okButton, *cancelButton, *helpButton;
}

- (void) layoutWindow;

- (NSTextField *) nameField;
- (NSTextField *) locationField;
- (NSPopUpButton *) categoryButton;
- (NSPopUpButton *) bundleButton;
- (NSButton *) okButton;
- (NSButton *) cancelButton;
- (NSButton *) helpButton;

@end

#endif /* _Toolbox_H_ItemPanel */
